-- Deploy camper:company_host to pg
-- requires: roles
-- requires: schema_public

begin;

set search_path to public, camper;

create table company_host (
	host text primary key,
	company_id integer not null references company
);

comment on column company_host.host is 'This should be a value from the HTTP Host header.';

grant select on table company_host to guest;
grant select on table company_host to employee;
grant select on table company_host to admin;

commit;
