-- Deploy camper:currency to pg
-- requires: roles
-- requires: schema_camper
-- requires: currency_code

begin;

set search_path to camper, public;

create table currency (
	currency_code currency_code primary key,
	currency_symbol text not null,
	decimal_digits integer not null default 2,
	redsys_code integer not null -- Seem to be the same as ISO 4217
);

grant select on table currency to guest;
grant select on table currency to employee;
grant select on table currency to admin;

commit;
