-- Deploy camper:home_carousel_i18n to pg
-- requires: roles
-- requires: schema_camper
-- requires: home_carousel
-- requires: language

begin;

set search_path to camper, public;

create table home_carousel_i18n (
	media_id integer not null references home_carousel,
	lang_tag text not null references language,
	caption text not null,
	primary key (media_id, lang_tag)
);

grant select on table home_carousel_i18n to guest;
grant select on table home_carousel_i18n to employee;
grant select, insert, update, delete on table home_carousel_i18n to admin;

commit;
