-- Deploy camper:services_carousel_i18n to pg
-- requires: roles
-- requires: schema_camper
-- requires: services_carousel
-- requires: language

begin;

set search_path to camper, public;

create table services_carousel_i18n (
	media_id integer not null references services_carousel,
	lang_tag text not null references language,
	caption text not null,
	primary key (media_id, lang_tag)
);

grant select on table services_carousel_i18n to guest;
grant select on table services_carousel_i18n to employee;
grant select, insert, update, delete on table services_carousel_i18n to admin;

commit;
