-- Verify camper:campsite_type_cost on pg

begin;

select campsite_type_id
     , season_id
     , cost_per_night
     , min_nights
from camper.campsite_type_cost
where false;

select 1 / count(*) from pg_class where oid = 'camper.campsite_type_cost'::regclass and relrowsecurity;
select 1 / count(*) from pg_policy where polname = 'guest_ok' and polrelid = 'camper.campsite_type_cost'::regclass;
select 1 / count(*) from pg_policy where polname = 'insert_to_company' and polrelid = 'camper.campsite_type_cost'::regclass;
select 1 / count(*) from pg_policy where polname = 'update_company' and polrelid = 'camper.campsite_type_cost'::regclass;
select 1 / count(*) from pg_policy where polname = 'delete_from_company' and polrelid = 'camper.campsite_type_cost'::regclass;

rollback;
