-- Verify camper:legal_text on pg

begin;

select company_id
     , slug
     , name
     , content
from camper.legal_text
where false;

select 1 / count(*) from pg_class where oid = 'camper.legal_text'::regclass and relrowsecurity;
select 1 / count(*) from pg_policy where polname = 'guest_ok' and polrelid = 'camper.legal_text'::regclass;
select 1 / count(*) from pg_policy where polname = 'insert_to_company' and polrelid = 'camper.legal_text'::regclass;
select 1 / count(*) from pg_policy where polname = 'update_company' and polrelid = 'camper.legal_text'::regclass;
select 1 / count(*) from pg_policy where polname = 'delete_from_company' and polrelid = 'camper.legal_text'::regclass;

rollback;
