-- Verify camper:redsys on pg

begin;

select company_id
     , merchant_code
     , terminal_number
     , environment
     , integration
     , encrypt_key
from camper.redsys
where false;

select 1 / count(*) from pg_class where oid = 'camper.redsys'::regclass and relrowsecurity;
select 1 / count(*) from pg_policy where polname = 'guest_ok' and polrelid = 'camper.redsys'::regclass;
select 1 / count(*) from pg_policy where polname = 'insert_to_company' and polrelid = 'camper.redsys'::regclass;
select 1 / count(*) from pg_policy where polname = 'update_company' and polrelid = 'camper.redsys'::regclass;
select 1 / count(*) from pg_policy where polname = 'delete_from_company' and polrelid = 'camper.redsys'::regclass;

rollback;
