-- Deploy camper:country to pg
-- requires: roles
-- requires: schema_camper
-- requires: country_code

begin;

set search_path to camper, public;

create table country (
	country_code country_code primary key,
	name text not null,
	postal_code_regex text not null
);

grant select on table country to guest;
grant select on table country to employee;
grant select on table country to admin;

commit;
