-- Deploy camper:location_i18n to pg
-- requires: roles
-- requires: schema_camper
-- requires: location
-- requires: language

begin;

set search_path to camper, public;

create table location_i18n (
	company_id integer not null references location,
	lang_tag text not null references language,
	directions xml not null,
	opening_dates xml not null,
	primary key (company_id, lang_tag)
);

grant select on table location_i18n to guest;
grant select on table location_i18n to employee;
grant select, insert, update, delete on table location_i18n to admin;

commit;
