-- Deploy camper:season_i18n to pg
-- requires: roles
-- requires: schema_camper
-- requires: season
-- requires: language

begin;

set search_path to camper, public;

create table season_i18n (
	season_id integer not null references season,
	lang_tag text not null references language,
	name text not null,
	primary key (season_id, lang_tag)
);

grant select on table season_i18n to guest;
grant select on table season_i18n to employee;
grant select, insert, update, delete on table season_i18n to admin;

commit;
