-- Deploy camper:service_i18n to pg
-- requires: roles
-- requires: schema_camper
-- requires: service
-- requires: language

begin;

set search_path to camper, public;

create table service_i18n (
	service_id integer not null references service,
	lang_tag text not null references language,
	name text not null,
	description xml not null,
	primary key (service_id, lang_tag)
);

grant select on table service_i18n to guest;
grant select on table service_i18n to employee;
grant select, insert, update, delete on table service_i18n to admin;

commit;
