-- Verify camper:campsite on pg

begin;

select campsite_id
     , company_id
     , label
     , campsite_type_id
     , active
from camper.campsite
where false;

select 1 / count(*) from pg_class where oid = 'camper.campsite'::regclass and relrowsecurity;
select 1 / count(*) from pg_policy where polname = 'guest_ok' and polrelid = 'camper.campsite'::regclass;
select 1 / count(*) from pg_policy where polname = 'insert_to_company' and polrelid = 'camper.campsite'::regclass;
select 1 / count(*) from pg_policy where polname = 'update_company' and polrelid = 'camper.campsite'::regclass;
select 1 / count(*) from pg_policy where polname = 'delete_from_company' and polrelid = 'camper.campsite'::regclass;

rollback;
