-- Verify camper:media on pg

begin;

select media_id
     , company_id
     , content_hash
     , original_filename
from camper.media
where false;

select 1 / count(*) from pg_class where oid = 'camper.media'::regclass and relrowsecurity;
select 1 / count(*) from pg_policy where polname = 'guest_ok' and polrelid = 'camper.media'::regclass;
select 1 / count(*) from pg_policy where polname = 'insert_to_company' and polrelid = 'camper.media'::regclass;
select 1 / count(*) from pg_policy where polname = 'update_company' and polrelid = 'camper.media'::regclass;
select 1 / count(*) from pg_policy where polname = 'delete_from_company' and polrelid = 'camper.media'::regclass;

rollback;
